Problem installing truemage 9.1 server for linux trail

Discussion in 'Acronis True Image Product Line' started by keenkhoorn, Jul 25, 2007.

Thread Status:
Not open for further replies.
  1. keenkhoorn

    keenkhoorn Registered Member

    Joined:
    Jul 25, 2007
    Posts:
    2
    Hello

    i'm having problems installing trueImage 9.1 server for linux trail.

    ---------
    DKMS make.log for snapapi26-0.7.10 for kernel 2.6.5-7.283-smp (x86_64)
    Wed Jul 25 13:53:43 CEST 2007
    make: Entering directory `/usr/src/linux-2.6.5-7.283-obj/x86_64/smp'
    make -C /usr/src/linux-2.6.5-7.283 O=/usr/src/linux-2.6.5-7.283-obj/x86_64/smp m
    odules
    CC [M] /var/lib/dkms/snapapi26/0.7.10/build/snapapi26.o
    /var/lib/dkms/snapapi26/0.7.10/build/snapapi26.c: In function `do_init_session':
    /var/lib/dkms/snapapi26/0.7.10/build/snapapi26.c:1970: error: structure has no m
    ember named `max_hw_sectors'
    make[3]: *** [/var/lib/dkms/snapapi26/0.7.10/build/snapapi26.o] Error 1
    make[2]: *** [_module_/var/lib/dkms/snapapi26/0.7.10/build] Error 2
    make[1]: *** [modules] Error 2
    make: *** [modules] Error 2
    make: Leaving directory `/usr/src/linux-2.6.5-7.283-obj/x86_64/smp'
    ----

    I've downloaded the version yesterday from the site.

    file: TrueImageServer9.1_d_en.i686

    System info:
    uname -a

    Linux unixbeheer 2.6.5-7.283-smp #1 SMP Wed Nov 29 16:55:53 UTC 2006 x86_64 x86_64 x86_64 GNU/Linux

    I've searched the forum but found no solution can someone help ?

    Kl@@s
     
    Last edited: Jul 27, 2007
  2. keenkhoorn

    keenkhoorn Registered Member

    Joined:
    Jul 25, 2007
    Posts:
    2
    Acronis support,

    Is there an program error in the file : /var/lib/dkms/snapapi26/0.7.10/source/snapapi26.c ?

    Should the line: max_req = (q->max_hw_sectors << 9) / PAGE_SIZE;

    be

    max_req = (q->max_sectors << 9) / PAGE_SIZE;

    for my kernel 2.6.5-7.283-smp ??

    If i change it the module copiles fine and the program runs as far as i can see.
    Was this value introduced in kernel 2.6.17 ??

    Data:
    Trail version 9.1 for Linux.
    snapapi26: version 0.7.10
    Kernel : 2.6.5-7.283-smp
    arch: x86-64

    Or am i killing myself . . . .

    Kl@@s
     
  3. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Hello keenkhoorn,

    Thank you for choosing Acronis Linux Server Disk Backup Software.

    Please note that snapapi module included in this build is not work properly with your kernel. Please submit a request for technical support. Attach the link to this thread. We will provide you with ISO image with snapapi module appropriate to your kernel version.

    Thank you.
    --
    Michael Fedyulin
     
Thread Status:
Not open for further replies.